﻿/*
    Styles for the widget.fetchcourses.ie web pages
*/

.navlogo {
    padding: 4px;
}

/*
    bootstrap navbar anchors. this adjusts for the fixed navbar by making the anchor a bit higher on the page.
*/
.anchor {
    display: block;
    position: relative;
    top: -80px;
    visibility: hidden;
}

.sample-title {
    font-size: 14pt;
    font-weight: bold;
}

.sample-table .link {
    width: 150px;
}

.section-splash {
    background: url("../graphics/splash_background.jpg") no-repeat top left ;
    background-size: 100% 100%;
    height: 450px;
    color: #fff;
    padding-top: 100px; /* nav */
}
    .section-splash h1 {
        padding-top: 30px;
        font-size: 38pt;
    }
    .section-splash p {
        font-size: 18pt;
        padding: 0px;
        margin: 0px;
    }

.section-explanation {
    padding: 50px 40px;
}
    .section-explanation p {
        font-size: 12pt;
    }
    .section-explanation .answer {
        text-align: center;
        padding: 30px 25px;
    }
    .section-explanation img {
        margin: 10px auto;
    }


.section-how,
.section-download {
    padding: 80px 40px;
    background-color: #e5e5e5;
    text-align: center;
}
    .section-how p {
        margin-bottom: 8px;
        line-height: 30px;
    }

.section-fetch {
    padding: 40px 40px;
    background-color: #e5e5e5;
    text-align: center;
}
    .section-fetch a img {
        margin: 0px auto;
    }

.section-tweet {
    width: 480px;
    padding: 60px 40px;
    background-color: #fff;
    text-align: center;
}

.section-tweet a img {
    width: 100px;
    height: 100px;
    opacity: 0.5;
}

    .section-tweet a img:hover {
        opacity: 1;
    }




.section-demo {
    padding: 80px 40px;
    background-color: #fff;
}

.section-doc {
    padding: 30px 40px;
    background-color: rgb(254, 255, 230);
    font-size: 12pt;
}
    .section-doc p {
        margin-bottom: 20px;
    }
    .section-doc h2, h3, h4 {
        padding-top: 20px;
    }

    .section-doc .h5 { /*note: class h5*/
        padding-top: 10px;
        font-weight: bold;
        text-transform: capitalize;
    }

.section-footer {
    padding: 50px 40px;
    font-size: 9pt;
    background-color: #2e3233;
    color: white;
}

.section-log {
    margin-top: 30px;
}

    .table-log tr td:first-child {
        width: 150px;
    }

.darksection {
    background-color: #e5e5e5;
}
.lighsection {
    background-color: #fff;
}

.embed-code {
    font-family: 'Courier New';
    background-color: #FDF3C8;
    color: #333;
    padding: 15px;
    text-align: left;
    margin-bottom: 5px;
    overflow: auto;
}

.embed-code p {
    font-size: 10pt;
}

    .embed-code .tag {
        font-weight: bold;
        color: #000;
    }

    .embed-code .level1 {
        padding-left: 40px;
    }

    .embed-code .level2 {
        padding-left: 80px;
    }

    .embed-code .comment {
        color: green;
    }


.tag {
    font-family: 'Courier New';
    color: #b78306;
}

.attr, .id, .string {
    font-family: 'Courier New';
    color: #cc1515;
}

.val, .cls, .keyword {
    font-family: 'Courier New';
    /*color: #2892f8;*/
    color: green;
}

.code, .data {
    font-family: 'Courier New';
}
.code-block {
    padding-left: 80px;
}

.comment {
    color: green;
}




/*
    FETCH and JQUERY API Pages
*/

.l1 {
    margin-left: 30px;
}
.l2 {
    margin-left: 60px;
}
.l3 {
    margin-left: 90px;
}
.l4 {
    margin-left: 120px;
}
.l5 {
    margin-left: 150px;
}
.l6 {
    margin-left: 180px;
}


.qt, .tagname {
    color: brown;
}
.tagdata {
    color: blue;
}

.method {
    border: thin solid #ccc;
    background-color: #eee;
    padding: 20px;
    margin-bottom: 40px;
}

.result {
    margin-top: 20px;
    position: relative;
    background-color: #fff2c1;
    padding: 20px;
}

.result-remove {
    position: absolute;
    top: 15px;
    right: 15px;
}

.plswait {
    margin-top: 4px;
    background: url("../graphics/FhHRx.gif") no-repeat top left;
    background-size: 24px 24px;
    height: 32px;
    width: 32px;
}


.btn_footer_twitter {
    display: block;
    margin-right: 20px;
}
    .btn_footer_twitter img {
        width: 32px;
        height: 32px;
        opacity: 0.5;
    }

    .btn_footer_twitter img:hover {
        opacity: 1;
    }


.logheader {
    font-weight: bold;
    text-decoration: underline;
    color: #866005;
}